Package org.apache.any23.vocab

## Class DOAP

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.DOAP

-     public class DOAP
      extends Vocabulary

  The Description Of A Project vocabulary.
  Author:
    lewismc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `anon_root` |
    `org.eclipse.rdf4j.model.IRI` | `ArchRepository` |
    `org.eclipse.rdf4j.model.IRI` | `audience` |
    `org.eclipse.rdf4j.model.IRI` | `BazaarBranch` |
    `org.eclipse.rdf4j.model.IRI` | `BKRepository` |
    `org.eclipse.rdf4j.model.IRI` | `blog` |
    `org.eclipse.rdf4j.model.IRI` | `browse` |
    `org.eclipse.rdf4j.model.IRI` | `bug_database` |
    `org.eclipse.rdf4j.model.IRI` | `category` |
    `org.eclipse.rdf4j.model.IRI` | `created` |
    `org.eclipse.rdf4j.model.IRI` | `CVSRepository` |
    `org.eclipse.rdf4j.model.IRI` | `DarcsRepository` |
    `org.eclipse.rdf4j.model.IRI` | `description` |
    `org.eclipse.rdf4j.model.IRI` | `developer` |
    `org.eclipse.rdf4j.model.IRI` | `documenter` |
    `org.eclipse.rdf4j.model.IRI` | `download_mirror` |
    `org.eclipse.rdf4j.model.IRI` | `download_page` |
    `org.eclipse.rdf4j.model.IRI` | `file_release` |
    `org.eclipse.rdf4j.model.IRI` | `GitRepository` |
    `org.eclipse.rdf4j.model.IRI` | `helper` |
    `org.eclipse.rdf4j.model.IRI` | `HgRepository` |
    `org.eclipse.rdf4j.model.IRI` | `homepage` |
    `org.eclipse.rdf4j.model.IRI` | `implement` |
    `org.eclipse.rdf4j.model.IRI` | `language` |
    `org.eclipse.rdf4j.model.IRI` | `license` |
    `org.eclipse.rdf4j.model.IRI` | `location` |
    `org.eclipse.rdf4j.model.IRI` | `mailing_list` |
    `org.eclipse.rdf4j.model.IRI` | `maintainer` |
    `org.eclipse.rdf4j.model.IRI` | `module` |
    `org.eclipse.rdf4j.model.IRI` | `name` |
    `static String` | `NS` |
    `org.eclipse.rdf4j.model.IRI` | `old_homepage` |
    `org.eclipse.rdf4j.model.IRI` | `os` |
    `org.eclipse.rdf4j.model.IRI` | `platform` |
    `org.eclipse.rdf4j.model.IRI` | `programming_language` |
    `org.eclipse.rdf4j.model.IRI` | `Project` |
    `org.eclipse.rdf4j.model.IRI` | `release` |
    `org.eclipse.rdf4j.model.IRI` | `repository` |
    `org.eclipse.rdf4j.model.IRI` | `Repository` |
    `org.eclipse.rdf4j.model.IRI` | `revision` |
    `org.eclipse.rdf4j.model.IRI` | `screenshots` |
    `org.eclipse.rdf4j.model.IRI` | `service_endpoint` |
    `org.eclipse.rdf4j.model.IRI` | `shortdesc` |
    `org.eclipse.rdf4j.model.IRI` | `Specification` |
    `org.eclipse.rdf4j.model.IRI` | `SVNRepository` |
    `org.eclipse.rdf4j.model.IRI` | `tester` |
    `org.eclipse.rdf4j.model.IRI` | `translator` |
    `org.eclipse.rdf4j.model.IRI` | `vendor` |
    `org.eclipse.rdf4j.model.IRI` | `Version` |
    `org.eclipse.rdf4j.model.IRI` | `wiki` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DOAP` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      See Also:
        Constant Field Values

    - #### Project

          public final org.eclipse.rdf4j.model.IRI Project

    - #### Version

          public final org.eclipse.rdf4j.model.IRI Version

    - #### Specification

          public final org.eclipse.rdf4j.model.IRI Specification

    - #### Repository

          public final org.eclipse.rdf4j.model.IRI Repository

    - #### SVNRepository

          public final org.eclipse.rdf4j.model.IRI SVNRepository

    - #### BKRepository

          public final org.eclipse.rdf4j.model.IRI BKRepository

    - #### CVSRepository

          public final org.eclipse.rdf4j.model.IRI CVSRepository

    - #### ArchRepository

          public final org.eclipse.rdf4j.model.IRI ArchRepository

    - #### BazaarBranch

          public final org.eclipse.rdf4j.model.IRI BazaarBranch

    - #### GitRepository

          public final org.eclipse.rdf4j.model.IRI GitRepository

    - #### HgRepository

          public final org.eclipse.rdf4j.model.IRI HgRepository

    - #### DarcsRepository

          public final org.eclipse.rdf4j.model.IRI DarcsRepository

    - #### name

          public final org.eclipse.rdf4j.model.IRI name

    - #### homepage

          public final org.eclipse.rdf4j.model.IRI homepage

    - #### old_homepage

          public final org.eclipse.rdf4j.model.IRI old_homepage

    - #### created

          public final org.eclipse.rdf4j.model.IRI created

    - #### shortdesc

          public final org.eclipse.rdf4j.model.IRI shortdesc

    - #### description

          public final org.eclipse.rdf4j.model.IRI description

    - #### release

          public final org.eclipse.rdf4j.model.IRI release

    - #### mailing_list

          public final org.eclipse.rdf4j.model.IRI mailing_list

    - #### category

          public final org.eclipse.rdf4j.model.IRI category

    - #### license

          public final org.eclipse.rdf4j.model.IRI license

    - #### repository

          public final org.eclipse.rdf4j.model.IRI repository

    - #### anon_root

          public final org.eclipse.rdf4j.model.IRI anon_root

    - #### browse

          public final org.eclipse.rdf4j.model.IRI browse

    - #### module

          public final org.eclipse.rdf4j.model.IRI module

    - #### location

          public final org.eclipse.rdf4j.model.IRI location

    - #### download_page

          public final org.eclipse.rdf4j.model.IRI download_page

    - #### download_mirror

          public final org.eclipse.rdf4j.model.IRI download_mirror

    - #### revision

          public final org.eclipse.rdf4j.model.IRI revision

    - #### file_release

          public final org.eclipse.rdf4j.model.IRI file_release

    - #### wiki

          public final org.eclipse.rdf4j.model.IRI wiki

    - #### bug_database

          public final org.eclipse.rdf4j.model.IRI bug_database

    - #### screenshots

          public final org.eclipse.rdf4j.model.IRI screenshots

    - #### maintainer

          public final org.eclipse.rdf4j.model.IRI maintainer

    - #### developer

          public final org.eclipse.rdf4j.model.IRI developer

    - #### documenter

          public final org.eclipse.rdf4j.model.IRI documenter

    - #### translator

          public final org.eclipse.rdf4j.model.IRI translator

    - #### tester

          public final org.eclipse.rdf4j.model.IRI tester

    - #### helper

          public final org.eclipse.rdf4j.model.IRI helper

    - #### programming_language

          public final org.eclipse.rdf4j.model.IRI programming_language

    - #### os

          public final org.eclipse.rdf4j.model.IRI os

    - #### implement

          public final org.eclipse.rdf4j.model.IRI implement

    - #### service_endpoint

          public final org.eclipse.rdf4j.model.IRI service_endpoint

    - #### language

          public final org.eclipse.rdf4j.model.IRI language

    - #### vendor

          public final org.eclipse.rdf4j.model.IRI vendor

    - #### platform

          public final org.eclipse.rdf4j.model.IRI platform

    - #### audience

          public final org.eclipse.rdf4j.model.IRI audience

    - #### blog

          public final org.eclipse.rdf4j.model.IRI blog

  - ### Method Detail

    - #### getInstance

          public static DOAP getInstance()